=====================================================================================================    
MPPs: a procedure for discovering non-terminating inputs for multi-path polynomial programs

Current version: v1.0
Validated on platform: Maple 2015, 64bit-Windows7-Desktop 
Latest modification: on Jul 10th, 2015, by Mingshuai Chen, SKLCS-ISCAS

Corresponding e-mail: chenms@ios.ac.cn
Comments and bug-reports are higly appreciated.
=====================================================================================================    	
1. The procedure takes a specific MPP as input, and gives the non-terminating inputs (NTI) as well as the minimum integer N subject to D_N as a fixed point of the descending chain of algebraic sets. In particular, the essential computations of Gr ̈obner basis and membership of radical ideals attributes to the Groebner package and the PolynomialIdeals package, respectively.

2. The script mpp1.mw contains an algorithm for computing fixed point of the descending chain of algebraic sets and a bunch of examples as well.

3. While the script mpp2.mw provides another more efficient and robust algorithm which computes the NTI using Gr ̈obner basis. Also, the same bunch of examples are illustrated in this script.

4. With Maple (validated on version 2015) pre-installed, using of this procedure is quite intuitive and the users may refer to the embedded examples if they have some difficulties when working on it.

5. Again, any comments and bug-reports are higly appreciated. Enjoy.

=========================================================================================================
